Skip to main content
GET
Query Sales Tax Codes

Authorizations

Authorization
string
header
required

Use your app's API_KEY as the username, and leave the password blank

Path Parameters

connection_id
string<uuid>
required

ID of the connection to use for the query

Query Parameters

request_id
string

A custom ID that can be used to identify the request and response. This could be your local ID for the request.

Example:

"1"

max_returned
integer

Maximum number of results to return

include[]
enum<string>[]

List of fields for QuickBooks to include in the response

Available options:
FullName,
ListID,
etc
name
string

Filter by name (partial match, case-insensitive)

from_name
string

Filter by lower bound of FullName (range query)

to_name
string

Filter by upper bound of FullName (range query)

list_id[]
string[]

Filter by one or more QuickBooks ListID values

full_name[]
string[]

Filter by one or more QuickBooks FullName values

active
enum<string>
default:ActiveOnly

Filter by active status

Available options:
ActiveOnly,
InactiveOnly,
All
from_modified_date
string<date-time>

Filter by modification date (start, inclusive)

to_modified_date
string<date-time>

Filter by modification date (end, inclusive)

webhook_url
string<uri>

Optional URL to receive a webhook when the request is completed

Response

Sales tax code query accepted and queued for processing. Returns a queued request object.

data
object